## ros-melodic-controller-manager-tests 0.18.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(controller_manager_tests)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  controller_interface
  controller_manager
  hardware_interface
  pluginlib
  roscpp
)

catkin_python_setup()

# Declare a catkin package
catkin_package()


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # Specify header include paths
  include_directories(include ${catkin_INCLUDE_DIRS})

  add_library(${PROJECT_NAME}
    src/effort_test_controller.cpp
    src/extensible_controllers.cpp
    src/my_dummy_controller.cpp
    src/my_robot_hw.cpp
    src/pos_eff_controller.cpp
    src/pos_eff_opt_controller.cpp
    src/vel_eff_controller.cpp
  )
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

  add_executable(dummy_app EXCLUDE_FROM_ALL src/dummy_app.cpp)
  add_dependencies(dummy_app ${catkin_EXPORTED_TARGETS})
  target_link_libraries(dummy_app ${PROJECT_NAME} ${catkin_LIBRARIES})

  add_executable(cm_test EXCLUDE_FROM_ALL test/cm_test.cpp)
  add_dependencies(cm_test ${catkin_EXPORTED_TARGETS})
  target_link_libraries(cm_test ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

  catkin_add_nosetests(test)

  add_rostest(test/cm_test.test DEPENDENCIES dummy_app cm_test)

  add_rostest(test/cm_msgs_utils_rostest.test)

  add_rostest(test/controller_manager_scripts.test DEPENDENCIES dummy_app)
endif()


#############
## Install ##
#############

# NOTE: Libraries and plugins required for tests are installed since CI
# runs tests out of the install space rather than the devel space

if(CATKIN_ENABLE_TESTING)

  # Install targets
  install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

  # Install plugins
  install(FILES test_controllers_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )
endif()

=== debian/changelog ===
ros-melodic-controller-manager-tests (0.18.3-1stretch) stretch; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-controller-manager-tests (0.18.2-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.18.1-1stretch) stretch; urgency=high

  * Add function specifiers and modernize constructors (#430 <https://github.com/ros-controls/ros_control/issues/430>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.18.0-1stretch) stretch; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.17.0-1stretch) stretch; urgency=high

  * Use auto
  * Contributors: AbhinavSingh

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-controller-manager-tests (0.16.0-1stretch) stretch; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in controller_manager_tests
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Re-install test plugin libraries
  * Update package dependencies
  * Re-install test plugins
  * Add missing roscpp & rospy dependencies
  * Correct test dependencies
  * Remove installs from _tests packages
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Update package.xml descriptions
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes
    * Using target_include_directories for the test
    * std::all_of instead of std::count_if
    * Deleted autogenerated file
    * Adapted tests to changes in controller_manager
    * Adapted python implementation to new parameters in SwitchController
    * Added missing parameter description docstring
    * Moved all parameters used for switching to a separate object
    * Moved error messages to controller_base
    * State check functions are now const
    * Removed unnecessary comments
    * Added constants for start_asap and timeout default parameters values
  * Adapted python implementation to new parameters in SwitchController
  * Adapted tests to changes in controller_manager
  * fix install destination (#377 <https://github.com/ros-controls/ros_control/issues/377>)
  * Contributors: Bence Magyar, James Xu, Jordan Palacios, Markus Vieth, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-controller-manager-tests
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-rosnode, ros-melodic-rostest
Homepage: http://ros.org/wiki/controller_manager_tests
Standards-Version: 3.9.2

Package: ros-melodic-controller-manager-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-controller-manager-msgs, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy
Description: Tests for the controller manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-controller-manager-tests//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-controller-manager-tests 0.18.4

=== debian/changelog ===
ros-melodic-controller-manager-tests (0.18.4-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-melodic-controller-manager-tests (0.18.3-1bionic) bionic; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-controller-manager-tests (0.18.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.18.1-1bionic) bionic; urgency=high

  * Add function specifiers and modernize constructors (#430 <https://github.com/ros-controls/ros_control/issues/430>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.18.0-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-controller-manager-tests (0.17.0-1bionic) bionic; urgency=high

  * Use auto
  * Contributors: AbhinavSingh

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-controller-manager-tests (0.16.0-1bionic) bionic; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in controller_manager_tests
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Re-install test plugin libraries
  * Update package dependencies
  * Re-install test plugins
  * Add missing roscpp & rospy dependencies
  * Correct test dependencies
  * Remove installs from _tests packages
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Update package.xml descriptions
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes
    * Using target_include_directories for the test
    * std::all_of instead of std::count_if
    * Deleted autogenerated file
    * Adapted tests to changes in controller_manager
    * Adapted python implementation to new parameters in SwitchController
    * Added missing parameter description docstring
    * Moved all parameters used for switching to a separate object
    * Moved error messages to controller_base
    * State check functions are now const
    * Removed unnecessary comments
    * Added constants for start_asap and timeout default parameters values
  * Adapted python implementation to new parameters in SwitchController
  * Adapted tests to changes in controller_manager
  * fix install destination (#377 <https://github.com/ros-controls/ros_control/issues/377>)
